package cn.com.qmth.examcloud.service.examwork.entity;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;

/**
 * 特殊考试课程关联
 * 
 * @author WANG
 *
 */
@Entity
@Table(name = "ecs_exam_specific_exam_course")
@IdClass(SpecificExamCoursePK.class)
public class SpecificExamCourse implements Serializable {

	private static final long serialVersionUID = -3335725218626631530L;

	@Id
	private String specificExamId;

	@Id
	private String courseId;

	private Long examId;

	public String getSpecificExamId() {
		return specificExamId;
	}

	public void setSpecificExamId(String specificExamId) {
		this.specificExamId = specificExamId;
	}

	public String getCourseId() {
		return courseId;
	}

	public void setCourseId(String courseId) {
		this.courseId = courseId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

}
