#!/bin/bash

APP_MAIN_JAR="examcloud-core-examwork-starter-2.0-SNAPSHOT.jar"

FILE_PATH=$(cd `dirname $0`; pwd)

PID_LIST=`ps -ef|grep $APP_MAIN_JAR|grep java|awk '{print $2}'`

if [ ! -z "$PID_LIST" ]; then
    echo "APP is running!"
    echo "Runnable jar is $APP_MAIN_JAR."
    echo "PID is"
    echo "$PID_LIST"
else
    if [ ! -z "$1" ]; then
	    nohup java -Xmx512m -Xms512m -jar $FILE_PATH/lib/$APP_MAIN_JAR --spring.profiles.active=$1 >/dev/null 2>&1 &
    else
	    nohup java -Xmx512m -Xms512m -jar $FILE_PATH/lib/$APP_MAIN_JAR >/dev/null 2>&1 &
	fi
	echo "started !" 
fi 

exit 0


